summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-02-05 05:43:07 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-02-05 05:43:07 +0000
commit467bb7df10ce922b4cf92fa7a6790d38687ab6e5 (patch)
tree44d7b1141c2f51d3c89d9d2e2f4cbcd7c786238a /eclass/toolchain.eclass
parent7b43cd44c0c26cd9e0ae1dcd94596667cb119ee6 (diff)
gentoo auto-resync : 05:02:2024 - 05:43:07
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 4cf76229cf88..6a4b59972fa3 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -580,7 +580,7 @@ toolchain_src_prepare() {
setup_multilib_osdirnames
local actual_version=$(< "${S}"/gcc/BASE-VER)
- if [[ "${GCC_RELEASE_VER}" != "${actual_version}" ]] ; then
+ if ! tc_is_live && [[ "${GCC_RELEASE_VER}" != "${actual_version}" ]] ; then
eerror "'${S}/gcc/BASE-VER' contains '${actual_version}', expected '${GCC_RELEASE_VER}'"
die "Please set 'TOOLCHAIN_GCC_PV' to '${actual_version}'"
fi